Ryzehosting
  1. account
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. account

affiliate stats

GET
account/affiliate-stats

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/account/affiliate-stats' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched affiliate statistics",
    "state": "success",
    "code": 200,
    "data": {
        "affiliate_enabled": true,
        "affiliate_id": "aff_sigmasimon",
        "affiliate_link": "https://dev-dash.ryzehosting.com/?ref=aff_sigmasimon",
        "stats": {
            "total_clicks": 2,
            "total_purchases": 0,
            "total_earned": 0,
            "pending_credits": 0,
            "available_credits": 0
        },
        "history": {
            "clicks": [
                {
                    "created_at": "2025-12-06 00:42:48",
                    "referrer": null
                },
                {
                    "created_at": "2025-12-06 00:42:24",
                    "referrer": null
                }
            ],
            "purchases": []
        },
        "charts": {
            "clicks_daily": [
                {
                    "date": "2025-12-06",
                    "clicks": 2
                }
            ],
            "purchases_daily": [],
            "clicks_monthly": [
                {
                    "month": "2025-12",
                    "clicks": 2
                }
            ],
            "purchases_monthly": []
        }
    }
}
Modified at 2025-12-30 04:01:33
Previous
save address
Next
transactions
Built with